Bug 14106 - fails to update system
Summary: fails to update system
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-17 01:03 UTC by fujisan
Modified: 2008-03-06 23:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
screenshots of the popup messages (212.03 KB, image/png)
2008-01-17 01:03 UTC, fujisan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fujisan 2008-01-17 01:03:13 UTC
Created attachment 13759 [details]
screenshots of the popup messages

After logging in, I see a message in a popup saying that there are N packages updates available. In another popup below, there is a list of some security packages to update. I click on 'Update computer now' and I get the message 'Failed to update system. Client action was refused'.

dmesg gives me the following message:
packagekitd[5804]: segfault at 00000000 eip 00000000 esp bf86c7bc error 4

after updating with yum, the icon (the red downward arrow with exclamation mark) still remains in the notification area, saying 'There are N updates availabale'.

Version 0.1.6-0.383.20080110git.fc8
Comment 1 Steven Coté 2008-01-17 07:12:25 UTC
I believe I'm experiencing the same problem. I didn't have any packagekitd messages in dmesg, but running pkcon update-system gave the following:

$ pkcon -v update-system
TI:15:09:40	TH:0x80c6008	FI:pk-debug.c	FN:pk_debug_init,155
 - Verbose debugging enabled
TI:15:09:40	TH:0x80c6008	FI:pk-console.c	FN:main,1089
 - actions=cancel;get-depends;get-description;get-files;get-requires;get-updates;get-update-detail;install-package;install-file;refresh-cache;remove-package;resolve;search-details;search-file;search-group;search-name;update-package;update-system;get-repo-list;repo-enable;repo-set-data
TI:15:09:40	TH:0x80c6008	FI:pk-client.c	FN:pk_client_allocate_transaction_id,992
 - Got tid: '17;cddaadde;data'
*** WARNING ***
TI:15:09:40	TH:0x80c6008	FI:pk-client.c	FN:pk_client_update_system_action,1057
 - UpdateSystem failed!

** (pkcon:4668): CRITICAL **: dbus_g_error_get_name: assertion `error->code == DBUS_GERROR_REMOTE_EXCEPTION' failed
TI:15:09:40	TH:0x80c6008	FI:pk-polkit-client.c	FN:pk_polkit_client_error_denied_by_policy,167
 - ERROR: (null): Message did not receive a reply (timeout by message bus)
TI:15:09:40	TH:0x80c6008	FI:pk-common.c	FN:pk_strequal,419
 - string compare invalid '(null)' and 'org.freedesktop.PackageKit.RefusedByPolicy'
TI:15:09:40	TH:0x80c6008	FI:pk-client.c	FN:pk_client_update_system,1099
 - ERROR: Message did not receive a reply (timeout by message bus)
Comment 2 fujisan 2008-01-17 08:13:46 UTC
yes I confirm, I get the same message.
Comment 3 Richard Hughes 2008-01-20 14:29:17 UTC
Cound one of you guys please grab a gdb trace from the daemon when it crashes please? Thanks.

Richard.
Comment 4 fujisan 2008-01-21 00:13:02 UTC
how do I get a gdb trace from the daemon?

When I run the daemon, I get an error but it does not crash immediately. It crashes when I ask PackageKit to update the system.

[root@tosca ~]# gdb -e packagekitd
GNU gdb Red Hat Linux (6.6-40.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu".
(gdb) run
Starting program: /usr/sbin/packagekitd 
Using host libthread_db library "/lib/libthread_db.so.1".

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/ac/2eeb206486bb7315d6ac4cd64de0cb50838ff6.debug
(no debugging symbols found)
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/70/f23f01de97873d2d05e9bf1aee2b1a4907550c.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/db/a292aff9720bfc3f25c53fa8e469168460a894.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/d3/e690f0e471b3b0cd63c6dcc6d5f17e5a0815ca.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/76/1e648415b3c080652dc917eeedff2188cb6b56.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/09/e69df6037b945869fa0ab8e373d56d591a7eb3.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/c0/5a10871305bcace616727f0fc170e46bcf3e0e.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/e2/93193b30364729eefc1746d7d49e6222421590.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/fd/72796639cc48bb0fc43ea40f27b649ca95396a.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/20/6221db40c44a990bdf3ac686860b1e15b0989d.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/77/ddfa56b289f4c9b110c78aeea4e108c5e16630.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/4d/1a80510bae2bbddadbd3a6f695a6a45e54b428.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/e3/3448de964a5ca97b70edbdcea227c6ea5d3657.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/2d/b654388c3de5249efb9ee58a2db126f1190c69.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/4a/df657936d6c778e376d9fb6444113438e33ba1.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/6c/1cdbb38ae2a292613c8c31195417ee80ea7e1e.debug
(no debugging symbols found)
[Thread debugging using libthread_db enabled]

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/ba/4ea1118691c826426e9410cafb798f25cefad5.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/ae/f3704fac910a7c1bbbca663eef36de56d9a32b.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/45/ae9842e5eaf90347568dcd3e8fa60ffd4de915.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/90/66503e17dcb7232b114c5878674a5932e35885.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/d0/b716d925c00494a40cff204a21530d0b96df8b.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/08/47e52d609d30b0be7916c20f54baa732dff44f.debug
(no debugging symbols found)
[New Thread -1208137968 (LWP 4837)]
[New Thread -1208140912 (LWP 4840)]
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name org.freedesktop.NetworkManager was not provided by any .service files

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/a3/561d7a505db1e2ff6d7a40e5d8a03c4edbbc8a.debug
(no debugging symbols found)

warning: Missing the separate debug info file: /usr/lib/debug/.build-id/a3/561d7a505db1e2ff6d7a40e5d8a03c4edbbc8a.debug
(no debugging symbols found)
[Detaching after fork from child process 4848. (Try `set detach-on-fork off'.)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208137968 (LWP 4837)]
0x00000000 in ?? ()
(gdb) 

Comment 5 Steven Coté 2008-01-21 01:21:07 UTC
Ok, it looks like I'm hitting a different issue. I tried the exact same command (gdb -e /usr/sbin/packagekitd) twice, once as a normal user and once as root. The first time I got an error:

** ERROR **: Error trying to start: Acquiring D-Bus name org.freedesktop.PackageKit failed due to security policies on this machine
This can happen for two reasons:
* The correct user is not launching the executable (usually root)
* The org.freedesktop.PackageKit.conf file is not installed in the system /etc/dbus-1/system.d directory

aborting...

So I tried again running it as root. I got all the "Missing the separate debug info file" messages (odd, because I did install the separate debug package) and then it finished with:

[New Thread -1208072432 (LWP 23763)]
[New Thread -1208075376 (LWP 23766)]
/usr/sbin/packagekitd: symbol lookup error: /usr/sbin/packagekitd: undefined symbol: polkit_context_is_caller_authorized

Program exited with code 0177.


So I think I'm encountering something different.
Comment 6 Richard Hughes 2008-01-21 04:47:57 UTC
>/usr/sbin/packagekitd: symbol lookup error: /usr/sbin/packagekitd: undefined
>symbol: polkit_context_is_caller_authorized

What version policy kit do you have installed? Do you have the debuginfo installed? You can find this by doing:

[hughsie@hughsie-laptop PackageKit]$ rpm -qa | grep PolicyKit

In this case I get:

PolicyKit-0.7-4.fc8.hughsie
PolicyKit-gnome-devel-0.7-2.fc8.hughsie
PolicyKit-docs-0.7-4.fc8.hughsie
PolicyKit-devel-0.7-4.fc8.hughsie
PolicyKit-debuginfo-0.7-4.fc8.hughsie
PolicyKit-gnome-0.7-2.fc8.hughsie
PolicyKit-gnome-libs-0.7-2.fc8.hughsie
PolicyKit-gnome-demo-0.7-2.fc8.hughsie
PolicyKit-gnome-debuginfo-0.7-2.fc8.hughsie
Comment 7 fujisan 2008-01-21 05:11:15 UTC
I have these. Yours are not available with packagekit.

[root@tosca ~]# rpm -qa | grep PolicyKit
PolicyKit-gnome-0.6-1.fc8
PolicyKit-devel-0.6-1.fc8
PolicyKit-0.6-1.fc8
Comment 8 Richard Hughes 2008-01-21 05:27:02 UTC
For getting gdb traces, I've added this page: http://www.packagekit.org/pk-bugs.html

For the newest policykit I've just rebuilt the one from fedora rawhide. I can't sync my repo as people.freedesktop.org is not accepting ssh right now.
Comment 9 Steven Coté 2008-01-21 05:35:23 UTC
(In reply to comment #6)
> What version policy kit do you have installed? Do you have the debuginfo
> installed? You can find this by doing:

Ok, that's weird. I specifically installed the debuginfo packages this morning when I ran the test. Now when I check though, I've only got:
PolicyKit-gnome-0.6-1.fc8
PolicyKit-0.6-1.fc8

Actually, I just noticed it doesn't have the .hughsie at the end... Wait, I see what's messing me around. There's two names for the same thing here. I've got the following installed as well:

PackageKit-0.1.6-0.383.20080110git.fc8.hughsie
PackageKit-libs-0.1.6-0.383.20080110git.fc8.hughsie
PackageKit-devel-0.1.6-0.383.20080110git.fc8.hughsie
PackageKit-debuginfo-0.1.6-0.383.20080110git.fc8.hughsie
gnome-packagekit-0.1.6-0.308.20080110git.fc8.hughsie
gnome-packagekit-debuginfo-0.1.6-0.308.20080110git.fc8.hughsie

I wonder if that's messing things about?
Comment 10 Steven Coté 2008-01-21 07:58:09 UTC
Ok, that's what I get for posting before doing my reading. I see now, PackageKit and PolicyKit are in fact two completely separate things.

Ok, now I had the version of PolicyKit installed from the main Fedora repository (0.6.1) and things didn't work so well.

I just upgrade to the version in rawhide (0.7-4) and things all seem to work fine now. I'm not too sure where the disconnect was, but it's gone for me now.
Comment 11 fujisan 2008-01-22 00:08:03 UTC
I updated PolicyKit to version 0.7-4. I still have problems but they are different from the first ones.
The daemon does not crash anymore.

When I want to update the system, PolicyKit opens a windows 'System policy prevents updating package' and ask me for a password. I enter the root password and nothing. The root password is not accepted. It keeps me asking the root password.

Also when I open the 'Add/remove Software' tool from PackageKit and select a package to install, PolicyKit asked me for the root password and then it says 'The package could not be installed.'.
Comment 12 Richard Hughes 2008-03-06 14:51:54 UTC
Should be fixed in 0.1.9. Please confirm.
Comment 13 fujisan 2008-03-06 23:37:33 UTC
Yes. Root password is not asked anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.